libcomps ..

Loading...
Searching...
No Matches
Functions
COMPS_CategoryGroup properties getters

## Functions
COMPS_Object * | comps_doccategory_get_id (COMPS_DocCategory *category)
COMPS_Object * | comps_doccategory_get_name (COMPS_DocCategory *category)
COMPS_Object * | comps_doccategory_get_desc (COMPS_DocCategory *category)
COMPS_Object * | comps_doccategory_get_display_order (COMPS_DocCategory *category)

## Detailed Description

## Function Documentation

## ◆ comps_doccategory_get_desc()

COMPS_Object * comps_doccategory_get_desc | ( | COMPS_DocCategory * | category | ) |

COMPS_DocCategory description getter

Parameters

  obj | COMPS_DocCategory object

Returns
  COMPS_Str object representing category description with incremented reference count

## ◆ comps_doccategory_get_display_order()

COMPS_Object * comps_doccategory_get_display_order | ( | COMPS_DocCategory * | category | ) |

COMPS_DocCategory display order getter

Parameters

  obj | COMPS_DocCategory object

Returns
  COMPS_Str object representing category display order with incremented reference count

## ◆ comps_doccategory_get_id()

COMPS_Object * comps_doccategory_get_id | ( | COMPS_DocCategory * | category | ) |

COMPS_DocCategory id getter

Parameters

  obj | COMPS_DocCategory object

Returns
  COMPS_Str object representing category id with incremented reference count

## ◆ comps_doccategory_get_name()

COMPS_Object * comps_doccategory_get_name | ( | COMPS_DocCategory * | category | ) |

COMPS_DocCategory name getter

Parameters

  obj | COMPS_DocCategory object

Returns
  COMPS_Str object representing category name with incremented reference count